# Payments (v2)

Use these API operations to manage your v2 payments.
| Operation | Method | Description |
|  --- | --- | --- |
| [Search payments (v2))](#operation/searchPayments) | POST | Search for v2 payments based on filtering criteria. |
| [Create a payment (v2))](#operation/createPayment) | POST | Create a v2 payment by accepting a quote. |
| [Get a payment by payment ID (v2)](#operation/getPaymentById) | GET | Get a specific v2 payment by payment ID. |
| [Get state transitions by payment ID (v2)](#operation/getPaymentStateTransitionsById) | GET | Get the state transitions for a specific v2 payment by payment ID. |
| [Update payment labels (v2)](#operation/updatePaymentLabels) | PATCH | Update the labels for a specific v2 payment by payment ID. |

 - [POST /v2/payments/filter](https://docs.ripple.com/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/payments/searchpayments.md): Search for payments based on filtering criteria.
 - [POST /v2/payments](https://docs.ripple.com/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/payments/createpayment.md): Create a payment **Tutorials** * Learn how to [Create a payment](../tutorials/create-a-v2-payment.md). * Learn how to [Create a third-party payment](../tutorials/create-a-v2-third-party-payment.md).
 - [GET /v2/payments/{paymentId}](https://docs.ripple.com/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/payments/getpaymentbyid.md): Gets a payment by ID.
 - [GET /v2/payments/{paymentId}/states](https://docs.ripple.com/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/payments/getpaymentstatetransitionsbyid.md): Gets the state transitions for a payment by ID.
 - [PATCH /v2/payments/{paymentId}/labels](https://docs.ripple.com/pt-br/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/payments/updatepaymentlabels.md): Add or remove labels for a payment.
